The agency managing this workspace: “Managed by”, the contact, staff among the members
GET
/api/v1/workspaces/{workspace}/agency
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/agency"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/agency';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/agency \ --header 'Authorization: Bearer <token>'Permission: none
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Responses
Section titled “Responses”OK
Media typeapplication/json
object
agency
string
agencyInitials
string
billed
required
boolean
canSaveTemplate
required
boolean
clientSince
string format: date-time
contact
object
avatarColor
required
string
email
required
string
id
required
string
name
required
string
host
string
kind
string
managed
required
boolean
rate
object
costPlusPct
number format: double
flat
number format: double
monthlyFee
number format: double
per1000Emails
number format: double
perSegment
number format: double
rateSince
string format: date-time
staff
required
Array<object>
object
contact
required
boolean
everyClient
required
boolean
level
required
string
title
string
userId
required
string
template
string
viewerIsStaff
required
boolean
Example
{ "kind": "client", "staff": [ { "level": "agency_manager" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}